<?php require_once('../../Connections/cn.php'); ?>
<?php 

//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr);
 
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$periodo=$_GET['periodo'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

if($sede=="0"){
   $nombre_sede="Todas";
}
else{//Datos de la Sede
	$sql2 = "select * from sedes where codigo='$sede'";
	$rs2=mysql_query($sql2,$cn);
	$row2=mysql_fetch_array($rs2);
	$nombre_sede=$row2['nombre_sede'];
}
//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(700,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = " SELECT DISTINCT 
historial_alumnos.cedula, 
historial_alumnos.participante, 
historial_alumnos.nom_carrera, 
historial_alumnos.id_periodo, 
sedes.nombre_sede
FROM historial_alumnos
INNER JOIN sedes ON historial_alumnos.sede = sedes.codigo
WHERE historial_alumnos.id_periodo = '$codigo_periodo'";
// Filtra las Sedes
if($sede!=0){
   $query=$query." AND historial_alumnos.sede='$sede'";
 }
// Filtra las Carreras
if($carrera!=0){
   $query=$query." AND historial_alumnos.id_carrera='$carrera'";
 }
 
$query=$query." AND (
historial_alumnos.id_carrera = '26A'
OR historial_alumnos.id_carrera = '27A'
OR historial_alumnos.id_carrera = '29A'
OR historial_alumnos.id_carrera = '30A'
OR historial_alumnos.id_carrera = '32A'
OR historial_alumnos.id_carrera = '33B'
OR historial_alumnos.id_carrera = '34A'
OR historial_alumnos.id_carrera = '35A'
OR historial_alumnos.id_carrera = '36A'
OR historial_alumnos.id_carrera = '54A'
OR historial_alumnos.id_carrera = '55A'
OR historial_alumnos.id_carrera = '61A'
OR historial_alumnos.id_carrera = '64A')
AND SUBSTR( sedes.nombre_sede, 1, 3 ) <> 'UNA'
GROUP BY historial_alumnos.cedula
ORDER BY historial_alumnos.nom_carrera,historial_alumnos.participante";

// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.




// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$pdf->ezsetdy(-10);
$pdf->ezText("                         UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'full'));
$pdf->ezText("                                    SEDE: ".utf8_decode($nombre_sede),10,array('justification'=>'full'));
// $pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."          MATRICULA DE PARTICIPANTES".'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("          PERÍODO: ").$codigo_periodo.'</b>',12,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->addText(378,642,9,utf8_decode("Fecha de Impresión: ").date("d/m/Y"));
// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4.4,1,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 

$cols = array('nro'=>'Nro.', 
			  'cedula'=>utf8_decode('CÉDULA    '),  
              'apellidosynombres'=>'                 APELLIDOS Y NOMBRES',
			  'programa'=>'                             PROGRAMA');

$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula  
    $apeynom  = $row[1]; // apellidos y nombres 
	$programa= $row[2];    // cedula
	    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array
	
    $data[] = array('nro'=>$smc,
					'cedula'=>$ced.'  ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'programa'=>utf8_decode($programa));
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'750','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right')
			 ,'apellidosynombres'=>array('justification'=>'left')
			 ,'programa'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $id_docente, $nom_docente)
{
    // Facilitador(a).
    $pdf->Rectangle(58,25,500,50);
    $pdf->addText(280,65,8,'Facilitador(a)');
	$pdf->line(58,60,558,60); 
	$pdf->addText(65,50,7,'Nombres y Apellidos:'.$nom_docente);
	$pdf->addText(400,50,7,'C�dula/Pasaporte: '.$id_docente);
	//$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(445,33,7,'FECHA: ______/______/________');
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(65,33,7,'FIRMA:');
	$pdf->line(58,45,558,45); 
}
?> 